# Method System.get_netinfo_property()

Method get_netinfo_property

  ``array`(`string`) get_netinfo_property(`string` `domain`, `string` `path`, `string` `property`)`

Description

  Queries a NetInfo server for property values at the given path.

Parameter `domain`

  NetInfo domain. Use "." for the local domain.

Parameter `path`

  NetInfo path for the property.

Parameter `property`

  Name of the property to return.

Returns

  An array holding all property values. If the `path` or `property` cannot be not found 0 is returned instead. If the NetInfo `domain` is not found or cannot be queried an exception is thrown.

Example

      system.get_netinfo_property(".", "/locations/resolver", "domain");
         ({
            "idonex.se"
         })

Note

  Only available on operating systems which have NetInfo libraries installed.